VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vapi::metadata::metamodel::StructDefinitions Class Reference

Defines the type descriptors for the top-level types in `com.vmware.vapi.metadata.metamodel` package. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | componentData
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | componentInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | constantInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | constantValue
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | elementMap
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | elementValue
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | enumerationInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | enumerationValueInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | errorInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | fieldInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | genericInstantiation
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | operationInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | operationResultInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | packageInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | primitiveValue
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | serviceInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | structureInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | type
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | userDefinedType

## Detailed Description

Defines the type descriptors for the top-level types in `com.vmware.vapi.metadata.metamodel` package.

WARNING: Internal API, subject to change in future versions.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::componentData`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("info", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.componentInfo.Value)));
                    fields.Add("fingerprint", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.component_data", fields, typeof(vmware.vapi.metadata.metamodel.ComponentData), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::componentInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("packages", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.package"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.packageInfo.Value))));
                    fields.Add("metadata", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.elementMap.Value))));
                    fields.Add("documentation", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.component_info", fields, typeof(vmware.vapi.metadata.metamodel.ComponentInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::constantInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.type.Value)));
                    fields.Add("value", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.constantValue.Value)));
                    fields.Add("documentation", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.constant_info", fields, typeof(vmware.vapi.metadata.metamodel.ConstantInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::constantValue`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("category", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vapi.metadata.metamodel.ConstantValue.Category)));
                    fields.Add("primitive_value", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.primitiveValue.Value))));
                    fields.Add("list_value", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.primitiveValue.Value)))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("PRIMITIVE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("primitive_value", false)});
                    caseFields.Add("LIST", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("list_value", false)});
                    validators.Add(new vmware.vapi.data.UnionValidator("category", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.constant_value", fields, typeof(vmware.vapi.metadata.metamodel.ConstantValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::elementMap`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("elements", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.elementValue.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.element_map", fields, typeof(vmware.vapi.metadata.metamodel.ElementMap), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::elementValue`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vapi.metadata.metamodel.ElementValue.Type)));
                    fields.Add("long_value", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("string_value", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("list_value", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType())));
                    fields.Add("structure_id", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.structure")));
                    fields.Add("structure_ids", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.structure"))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("LONG", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("long_value", false)});
                    caseFields.Add("STRING", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("string_value", false)});
                    caseFields.Add("STRING_LIST", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("list_value", false)});
                    caseFields.Add("STRUCTURE_REFERENCE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("structure_id", false)});
                    caseFields.Add("STRUCTURE_REFERENCE_LIST", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("structure_ids", false)});
                    validators.Add(new vmware.vapi.data.UnionValidator("type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.element_value", fields, typeof(vmware.vapi.metadata.metamodel.ElementValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::enumerationInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("values", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.enumerationValueInfo.Value))));
                    fields.Add("metadata", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.elementMap.Value))));
                    fields.Add("documentation", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.enumeration_info", fields, typeof(vmware.vapi.metadata.metamodel.EnumerationInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::enumerationValueInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("value", new vmware.vapi.bindings.type.StringType());
                    fields.Add("metadata", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.elementMap.Value))));
                    fields.Add("documentation", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.enumeration_value_info", fields, typeof(vmware.vapi.metadata.metamodel.EnumerationValueInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::errorInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("structure_id", new vmware.vapi.bindings.type.IdType("com.vmware.vapi.structure"));
                    fields.Add("documentation", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.error_info", fields, typeof(vmware.vapi.metadata.metamodel.ErrorInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::fieldInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("type", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.type.Value)));
                    fields.Add("metadata", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.elementMap.Value))));
                    fields.Add("documentation", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.field_info", fields, typeof(vmware.vapi.metadata.metamodel.FieldInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::genericInstantiation`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("generic_type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vapi.metadata.metamodel.GenericInstantiation.GenericType)));
                    fields.Add("element_type", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.type.Value))));
                    fields.Add("map_key_type", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.type.Value))));
                    fields.Add("map_value_type", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.type.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("LIST", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("element_type", false)});
                    caseFields.Add("OPTIONAL", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("element_type", false)});
                    caseFields.Add("SET", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("element_type", false)});
                    caseFields.Add("MAP", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("map_key_type", false), new vmware.vapi.data.UnionValidator.FieldData("map_value_type", false)});
                    validators.Add(new vmware.vapi.data.UnionValidator("generic_type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.generic_instantiation", fields, typeof(vmware.vapi.metadata.metamodel.GenericInstantiation), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::operationInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("params", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.fieldInfo.Value))));
                    fields.Add("output", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.operationResultInfo.Value)));
                    fields.Add("errors", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.errorInfo.Value))));
                    fields.Add("metadata", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.elementMap.Value))));
                    fields.Add("documentation", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.operation_info", fields, typeof(vmware.vapi.metadata.metamodel.OperationInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::operationResultInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.type.Value)));
                    fields.Add("metadata", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.elementMap.Value))));
                    fields.Add("documentation", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.operation_result_info", fields, typeof(vmware.vapi.metadata.metamodel.OperationResultInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::packageInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("structures", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.structure"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.structureInfo.Value))));
                    fields.Add("enumerations", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.enumeration"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.enumerationInfo.Value))));
                    fields.Add("services", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.service"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.serviceInfo.Value))));
                    fields.Add("metadata", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.elementMap.Value))));
                    fields.Add("documentation", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.package_info", fields, typeof(vmware.vapi.metadata.metamodel.PackageInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::primitiveValue`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vapi.metadata.metamodel.PrimitiveValue.Type)));
                    fields.Add("boolean_value", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.BooleanType()));
                    fields.Add("double_value", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DoubleType()));
                    fields.Add("long_value", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.IntegerType()));
                    fields.Add("string_value", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("BOOLEAN", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("boolean_value", false)});
                    caseFields.Add("DOUBLE", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("double_value", false)});
                    caseFields.Add("LONG", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("long_value", false)});
                    caseFields.Add("STRING", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("string_value", false)});
                    validators.Add(new vmware.vapi.data.UnionValidator("type", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.primitive_value", fields, typeof(vmware.vapi.metadata.metamodel.PrimitiveValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::serviceInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("operations", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.operation"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.operationInfo.Value))));
                    fields.Add("structures", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.structure"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.structureInfo.Value))));
                    fields.Add("enumerations", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.enumeration"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.enumerationInfo.Value))));
                    fields.Add("constants", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.constantInfo.Value))));
                    fields.Add("metadata", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.elementMap.Value))));
                    fields.Add("documentation", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.service_info", fields, typeof(vmware.vapi.metadata.metamodel.ServiceInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::structureInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vapi.metadata.metamodel.StructureInfo.Type)));
                    fields.Add("enumerations", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.vapi.enumeration"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.enumerationInfo.Value))));
                    fields.Add("constants", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.constantInfo.Value))));
                    fields.Add("fields", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.fieldInfo.Value))));
                    fields.Add("metadata", new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.StringType(), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.elementMap.Value))));
                    fields.Add("documentation", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.structure_info", fields, typeof(vmware.vapi.metadata.metamodel.StructureInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::type`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("category", new vmware.vapi.bindings.type.EnumType(typeof(vmware.vapi.metadata.metamodel.Type.Category)));
                    fields.Add("builtin_type", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.vapi.metadata.metamodel.Type.BuiltinType))));
                    fields.Add("user_defined_type", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.userDefinedType.Value))));
                    fields.Add("generic_instantiation", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.metadata.metamodel.StructDefinitions.genericInstantiation.Value))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("BUILTIN", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("builtin_type", false)});
                    caseFields.Add("USER_DEFINED", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("user_defined_type", false)});
                    caseFields.Add("GENERIC", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("generic_instantiation", false)});
                    validators.Add(new vmware.vapi.data.UnionValidator("category", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.type", fields, typeof(vmware.vapi.metadata.metamodel.Type), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::metadata::metamodel::StructDefinitions::userDefinedType`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("resource_type", new vmware.vapi.bindings.type.StringType());
                    fields.Add("resource_id", new vmware.vapi.bindings.type.IdType("com.vmware.vapi.structure"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(0);
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.metadata.metamodel.user_defined_type", fields, typeof(vmware.vapi.metadata.metamodel.UserDefinedType), validators, false, null);
                })

The documentation for this class was generated from the following file:

- vapi/metadata/metamodel/StructDefinitions.cs